color_err="\e[31m"
color_msg="\e[32m"
color_def="\e[0m"

# disable coloring if stdout/stderr is not a terminal
test -t 1 \
    && test -t 2 \
    || { color_err=""; color_msg=""; color_def=""; }

print_color_msg() {
	local color="$1"
	shift
	echo -e "${color}$*${color_def}"
}

log_msg() {
	print_color_msg "${color_msg}" "$*"
}

log_err() {
	print_color_msg "${color_err}" "ERROR: $*" >&2
}

fail() {
	log_err "$*"
	exit 1
}

debian_arch() {
	local arch="$1"

	case "${arch}" in
		x86_64|amd64)
			echo "amd64";
			;;
		aarch64|arm64)
			echo "arm64";
			;;
		*)	echo "${arch}";
			;;
	esac
}
