#!/bin/bash

TOOLS_DIR=/opt/isabelle/core/gateway_tools
EVENT_SCRIPT=cpe_event.sh

CPE_NUM="${1}"
CPE_IP="${2}"
XML_CONFIG="${3}"
JSON_CONFIG="${4}"

[ -z "${CPE_IP}" ] && return

TMP_FILE=/tmp/netconf_`date +%H%M%S`_${CPE_NUM}.xml

echo `date "+%H:%M:%S"` send_config ${CPE_NUM} ${CPE_IP} >>/tmp/log_${USER}.log
echo `date +%H:%M:%S` send_config ${CPE_IP}

printf "%s" "${XML_CONFIG}" >${TMP_FILE}

RESULT=`printf "%s\n%s\n%s\n" \
    "connect --host ${2} --login root" \
    "edit-config --target running --config=${TMP_FILE} --rpc-timeout 60 -o replace" \
    "copy-config --source running --target startup" \
    | sshpass -p yes -P "(yes/no)?" netopeer2-cli`

EXPECTED=`printf "OK\nOK\n"`
[ "$RESULT" == "$EXPECTED" ] && STATUS="config_ok" || STATUS="config_fail"

$TOOLS_DIR/$EVENT_SCRIPT "" ${CPE_IP} ${STATUS} ${CPE_NUM}

#rm ${TMP_FILE}
